oracle.pgx.config

## Class AbstractPgGraphConfigBuilder<T extends AbstractPgGraphConfig>

- java.lang.Object
- - oracle.pgx.config.AbstractGraphConfigBuilder<T>
  - - oracle.pgx.config.AbstractPgGraphConfigBuilder<T>

- Type Parameters:
    `T` - the type of Property Graph (PG) config objects this builder builds.
  Direct Known Subclasses:
    PgHbaseGraphConfigBuilder, PgNosqlGraphConfigBuilder

      public abstract class AbstractPgGraphConfigBuilder<T extends AbstractPgGraphConfig>
      extends AbstractGraphConfigBuilder<T>

  Base class for Property Graph (PG) graph configuration builders.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPgGraphConfigBuilder()` Instantiates a new AbstractPgGraphConfigBuilder builder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractPgGraphConfigBuilder<T>` | `setLoadEdgeLabel(boolean b)` Sets whether to load edge label.
    `AbstractPgGraphConfigBuilder<T>` | `setMaxNumConnections(int c)` Sets the maximum number of connections.
    `AbstractPgGraphConfigBuilder<T>` | `setName(String name)` Sets the Property Graph (PG) name.

    - ### Methods inherited from class oracle.pgx.config.AbstractGraphConfigBuilder

      `addEdgeProperty, addNodeProperty, addVertexProperty, build, setCreateEdgeIdIndex, setCreateEdgeIdMapping, setCreateVertexIdIndex, setCreateVertexIdMapping, setDateFormat, setErrorHandlingOnMissedPropKey, setErrorHandlingOnPropConversion, setErrorHandlingOnTypeMismatch, setRefreshIntervalMs`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPgGraphConfigBuilder

          public AbstractPgGraphConfigBuilder()

      Instantiates a new AbstractPgGraphConfigBuilder builder.

  - ### Method Detail

    - #### setLoadEdgeLabel

          public AbstractPgGraphConfigBuilder<T> setLoadEdgeLabel(boolean b)

      Sets whether to load edge label.
      Parameters:
        `b` - if true, loads the edge label
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setMaxNumConnections

          public AbstractPgGraphConfigBuilder<T> setMaxNumConnections(int c)

      Sets the maximum number of connections.
      Parameters:
        `c` - the number of connections
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setName

          public AbstractPgGraphConfigBuilder<T> setName(String name)

      Sets the Property Graph (PG) name.
      Parameters:
        `name` - the name
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects of this setting`

Copyright © 2015. All rights reserved.